## org.eclipse.datatools.sqltools.sqlbuilder.views.fullselect
Class OrderByTableElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.fullselect.OrderByTableElement

    public class OrderByTableElement

extends java.lang.Object

Order by for a fullselect

Constructor Summary
`OrderByTableElement(QuerySelectStatement target, OrderBySpecification ordrBy)`

Method Summary
`java.lang.String` `getColumnText(int columnIndex)` Get the mof value and return it
`QuerySelectStatement` `getFullSelectStatement()`
`OrderBySpecification` `getOrderBy()`
`void` `modify(java.lang.Object key, java.lang.Object propValue)` Set the mof object from the grid value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderByTableElement

    public OrderByTableElement(QuerySelectStatement target,
                               OrderBySpecification ordrBy)

Method Detail

### getFullSelectStatement

    public QuerySelectStatement getFullSelectStatement()

### getOrderBy

    public OrderBySpecification getOrderBy()

### modify

    public void modify(java.lang.Object key,
                       java.lang.Object propValue)

  Set the mof object from the grid value

### getColumnText

    public java.lang.String getColumnText(int columnIndex)

  Get the mof value and return it